<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-363"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FBase%2FFoundation%2FXHXWeakProxy.m%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Foundation/XHXWeakProxy.m 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_e594291297641f362044084ee3bd79c2.html">Base</a></li><li class="navelem"><a class="el" href="dir_9c9511d05e8bec32aa25169884f5dd22.html">Foundation</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">XHXWeakProxy.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_weak_proxy_8m.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="interface_x_h_x_weak_proxy.html#ab00a5dae2331d1e4cf8115b8d789078b">    1</a></span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  XHXWeakProxy.m</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  KKLOnlineHD</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by Leovir on 2018/2/28.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//  Copyright &copy; 2018年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&nbsp; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&nbsp;<span class="preprocessor">#import &#34;<a class="code" href="_x_h_x_weak_proxy_8h.html">XHXWeakProxy.h</a>&#34;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&nbsp; </div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&nbsp;<span class="keyword">@implementation </span><a class="code" href="interface_x_h_x_weak_proxy.html">XHXWeakProxy</a></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&nbsp; </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&nbsp;- (instancetype)initWithTarget:(<span class="keywordtype">id</span>)target {</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&nbsp;    _target = <a class="code" href="interface_x_h_x_weak_proxy.html#ad464ddf2856a25a1254fb779b4fc92fc">target</a>;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&nbsp;    <span class="keywordflow">return</span> <span class="keyword">self</span>;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&nbsp;}</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&nbsp; </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&nbsp;+ (instancetype)proxyWithTarget:(<span class="keywordtype">id</span>)target {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&nbsp;    <span class="keywordflow">return</span> [[<a class="code" href="interface_x_h_x_weak_proxy.html">XHXWeakProxy</a> alloc] initWithTarget:target];</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&nbsp;}</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&nbsp; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&nbsp;- (id)forwardingTargetForSelector:(<span class="keywordtype">SEL</span>)selector {</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&nbsp;    <span class="keywordflow">return</span> _target;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&nbsp;}</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&nbsp; </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&nbsp;- (void)forwardInvocation:(NSInvocation *)invocation {</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&nbsp;    <span class="keywordtype">void</span> *<span class="keyword">null</span> = NULL;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&nbsp;    [invocation setReturnValue:&amp;null];</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&nbsp;}</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&nbsp; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&nbsp;- (NSMethodSignature *)methodSignatureForSelector:(<span class="keywordtype">SEL</span>)selector {</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&nbsp;    <span class="keywordflow">return</span> [NSObject instanceMethodSignatureForSelector:@selector(init)];</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&nbsp;}</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&nbsp; </div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&nbsp;- (BOOL)respondsToSelector:(<span class="keywordtype">SEL</span>)aSelector {</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&nbsp;    <span class="keywordflow">return</span> [_target respondsToSelector:aSelector];</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&nbsp;}</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&nbsp; </div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&nbsp;- (BOOL)isEqual:(<span class="keywordtype">id</span>)object {</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&nbsp;    <span class="keywordflow">return</span> [_target isEqual:object];</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&nbsp;}</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&nbsp; </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&nbsp;- (NSUInteger)hash {</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&nbsp;    <span class="keywordflow">return</span> [_target hash];</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&nbsp;}</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&nbsp; </div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&nbsp;- (Class)superclass {</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&nbsp;    <span class="keywordflow">return</span> [_target superclass];</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&nbsp;}</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&nbsp; </div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&nbsp;- (Class)class {</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&nbsp;    <span class="keywordflow">return</span> [_target class];</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&nbsp;}</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&nbsp; </div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&nbsp;- (BOOL)isKindOfClass:(Class)aClass {</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&nbsp;    <span class="keywordflow">return</span> [_target isKindOfClass:aClass];</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&nbsp;}</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&nbsp; </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&nbsp;- (BOOL)isMemberOfClass:(Class)aClass {</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&nbsp;    <span class="keywordflow">return</span> [_target isMemberOfClass:aClass];</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&nbsp;}</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&nbsp; </div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&nbsp;- (BOOL)conformsToProtocol:(Protocol *)aProtocol {</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&nbsp;    <span class="keywordflow">return</span> [_target conformsToProtocol:aProtocol];</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&nbsp;}</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&nbsp; </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&nbsp;- (BOOL)isProxy {</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&nbsp;    <span class="keywordflow">return</span> YES;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&nbsp;}</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&nbsp; </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&nbsp;- (NSString *)description {</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&nbsp;    <span class="keywordflow">return</span> [_target description];</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&nbsp;}</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&nbsp; </div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&nbsp;- (NSString *)debugDescription {</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&nbsp;    <span class="keywordflow">return</span> [_target debugDescription];</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&nbsp;}</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&nbsp;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_x_h_x_weak_proxy_html"><div class="ttname"><a href="interface_x_h_x_weak_proxy.html">XHXWeakProxy</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_weak_proxy_8h_source.html#l00011">XHXWeakProxy.h:12</a></div></div>
<div class="ttc" id="a_x_h_x_weak_proxy_8h_html"><div class="ttname"><a href="_x_h_x_weak_proxy_8h.html">XHXWeakProxy.h</a></div></div>
<div class="ttc" id="ainterface_x_h_x_weak_proxy_html_ad464ddf2856a25a1254fb779b4fc92fc"><div class="ttname"><a href="interface_x_h_x_weak_proxy.html#ad464ddf2856a25a1254fb779b4fc92fc">XHXWeakProxy::target</a></div><div class="ttdeci">id target</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_weak_proxy_8h_source.html#l00013">XHXWeakProxy.h:13</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
制作者&nbsp;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>


</body></html>